%define		package	Solarium
%define		php_min_version 5.3.0
%include	/usr/lib/rpm/macros.php
Summary:	Solarium PHP Solr client library
Name:		php-solarium-Solarium
Version:	3.1.2
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	https://github.com/basdenooijer/solarium/archive/%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	99fa934be12783063b140717c819ebac
URL:		http://www.solarium-project.org/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(curl)
Requires:	php(date)
Requires:	php(json)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-symfony2-EventDispatcher
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Solarium is a PHP Solr client library that accurately model Solr
concepts. Where many other Solr libraries only handle the
communication with Solr, Solarium also relieves you of handling all
the complex Solr query parameters using a well documented API.

%prep
%setup -q -n solarium-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_data_dir},%{_examplesdir}/%{name}-%{version}}
cp -a library/Solarium $RPM_BUILD_ROOT%{php_data_dir}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md COPYING
%{php_data_dir}/Solarium
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Nov 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-solarium-Solarium.git;a=log;h=master

* Sat Oct 26 2013 Elan Ruusamäe <glen@delfi.ee> 379de1e
- requires php-pcre

* Sat Oct 26 2013 Elan Ruusamäe <glen@delfi.ee> f394194
- new, version 3.1.2

